//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.

// Displays CelestLab menu 
function CL__banner()

  function banner1()
    txt = "CelestLab - Version " + CL_version("str"); 
    aut = "CNES - Flight Dynamics department"; 
    l = max(length(txt) + 10, 36); 

    mprintf("\n");
    for i=1:l; mprintf("-"); end
    mprintf("\n");

    for i=1:(l-length(txt ))/2; mprintf(" "); end
    mprintf("%s\n", txt);

    for i=1:(l-length(aut))/2; mprintf(" "); end
    mprintf("%s\n", aut);

    for i=1:l; mprintf("-"); end
    mprintf("\n\n");
  endfunction
  
  function banner2()
    mprintf("Start CelestLab => Version %s\n", CL_version("str")); 
  endfunction
  
  banner2(); 
  
endfunction
