//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.


// Edit a data file (read-onmy mode)

function [] = CL__editDataFile(fpath)

  // interface to "editor"
  function Editor(fpath)
    try
      editor(fpath, "readonly");
    catch
      messagebox("''Editor'' function is not available: upgrade Scilab!", "CelestLab message");
    end
  endfunction

  Editor(fpath);

endfunction
