//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.

mode(-1);
lines(0);

TOOLBOX_NAME  = "celestlab";
TOOLBOX_TITLE = "CelestLab";

toolbox_dir = get_absolute_file_path("builder.sce");

tbx_builder_macros(toolbox_dir);

if (exists("CL__scilabVersion") == 0)
  exec( fullfile( toolbox_dir , "macros" , "Misc" , "CL__scilabVersion.sci") );
end

tbx_builder_help(toolbox_dir);
// Scilab version number
sciver = getversion("scilab");
// Build loader and cleaner according to Scilab version
if (sciver(1) >= 6)
  tbx_build_loader(toolbox_dir);
else
  tbx_build_loader(TOOLBOX_NAME,toolbox_dir);
end
