//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.

//  Demo tool for CelestLab
//  Author: A. Lamy

// -------------------------------------------------------------
// Event handler 
// calls the handler defined in user_data (same interface)
// -------------------------------------------------------------
function CL__demos_userHandler(win, x, y, ibut)

  f = CL_g_getFigureHandle(win);
  if isempty(f); return; end

  ud = f.user_data; 
  if isstruct(ud)
    if isfield(ud, 'eventHandler')
      ud.eventHandler(win, x, y, ibut);
    end
  end 

endfunction
