//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'https://cecill.info'.


// Prints CelestLab error
function CL__error(str)

if (CL__scilabVersion() < 550)
  // Replace % by %% so that error function works correctly
  str = strsubst(str,"%","%%");
end

if length(str) == 0
  str = "empty error";
end
error("*** CelestLab: " + str); 

endfunction
